OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepElement

# StepElement_Array1OfHSequenceOfCurveElementPurposeMember Class Reference

`#include <StepElement_Array1OfHSequenceOfCurveElementPurposeMember.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_Array1OfHSequenceOfCurveElementPurposeMember (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_Array1OfHSequenceOfCurveElementPurposeMember (const Handle(StepElement_HSequenceOfCurveElementPurposeMember)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepElement_HSequenceOfCurveElementPurposeMember)&V)
Standard_EXPORT void | Destroy ()
| ~StepElement_Array1OfHSequenceOfCurveElementPurposeMember ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepElement_Array1OfHSequenceOfCurveElementPurposeMember & | Assign (const StepElement_Array1OfHSequenceOfCurveElementPurposeMember &Other)
const StepElement_Array1OfHSequenceOfCurveElementPurposeMember & | operator= (const StepElement_Array1OfHSequenceOfCurveElementPurposeMember &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepElement_HSequenceOfCurveElementPurposeMember)&Value)
const Handle_StepElement_HSequenceOfCurveElementPurposeMember & | Value (const Standard_Integer Index) const
const Handle_StepElement_HSequenceOfCurveElementPurposeMember & | operator() (const Standard_Integer Index) const
Handle_StepElement_HSequenceOfCurveElementPurposeMember & | ChangeValue (const Standard_Integer Index)
Handle_StepElement_HSequenceOfCurveElementPurposeMember & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepElement_Array1OfHSequenceOfCurveElementPurposeMember (const StepElement_Array1OfHSequenceOfCurveElementPurposeMember &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Array1OfHSequenceOfCurveElementPurposeMember::StepElement_Array1OfHSequenceOfCurveElementPurposeMember | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_Array1OfHSequenceOfCurveElementPurposeMember::StepElement_Array1OfHSequenceOfCurveElementPurposeMember | ( | const Handle(StepElement_HSequenceOfCurveElementPurposeMember)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepElement_Array1OfHSequenceOfCurveElementPurposeMember::~StepElement_Array1OfHSequenceOfCurveElementPurposeMember | ( |  | ) | `[inline]`

Standard_EXPORT StepElement_Array1OfHSequenceOfCurveElementPurposeMember::StepElement_Array1OfHSequenceOfCurveElementPurposeMember | ( | const StepElement_Array1OfHSequenceOfCurveElementPurposeMember & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepElement_Array1OfHSequenceOfCurveElementPurposeMember& StepElement_Array1OfHSequenceOfCurveElementPurposeMember::Assign | ( | const StepElement_Array1OfHSequenceOfCurveElementPurposeMember & | Other | ) |

Handle_StepElement_HSequenceOfCurveElementPurposeMember& StepElement_Array1OfHSequenceOfCurveElementPurposeMember::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepElement_Array1OfHSequenceOfCurveElementPurposeMember::Destroy | ( |  | ) |

Standard_EXPORT void StepElement_Array1OfHSequenceOfCurveElementPurposeMember::Init | ( | const Handle(StepElement_HSequenceOfCurveElementPurposeMember)& | V | ) |

Standard_Boolean StepElement_Array1OfHSequenceOfCurveElementPurposeMember::IsAllocated | ( |  | ) | const

Standard_Integer StepElement_Array1OfHSequenceOfCurveElementPurposeMember::Length | ( |  | ) | const

Standard_Integer StepElement_Array1OfHSequenceOfCurveElementPurposeMember::Lower | ( |  | ) | const

void StepElement_Array1OfHSequenceOfCurveElementPurposeMember::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepElement_Array1OfHSequenceOfCurveElementPurposeMember::operator new | ( | size_t | size | ) | `[inline]`

void* StepElement_Array1OfHSequenceOfCurveElementPurposeMember::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepElement_HSequenceOfCurveElementPurposeMember& StepElement_Array1OfHSequenceOfCurveElementPurposeMember::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepElement_HSequenceOfCurveElementPurposeMember& StepElement_Array1OfHSequenceOfCurveElementPurposeMember::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepElement_Array1OfHSequenceOfCurveElementPurposeMember& StepElement_Array1OfHSequenceOfCurveElementPurposeMember::operator= | ( | const StepElement_Array1OfHSequenceOfCurveElementPurposeMember & | Other | ) | `[inline]`

void StepElement_Array1OfHSequenceOfCurveElementPurposeMember::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepElement_HSequenceOfCurveElementPurposeMember)& | Value
| ) |

Standard_Integer StepElement_Array1OfHSequenceOfCurveElementPurposeMember::Upper | ( |  | ) | const

const Handle_StepElement_HSequenceOfCurveElementPurposeMember& StepElement_Array1OfHSequenceOfCurveElementPurposeMember::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepElement_Array1OfHSequenceOfCurveElementPurposeMember::isAllocated`[private]`

Standard_Integer StepElement_Array1OfHSequenceOfCurveElementPurposeMember::myLowerBound`[private]`

Standard_Address StepElement_Array1OfHSequenceOfCurveElementPurposeMember::myStart`[private]`

Standard_Integer StepElement_Array1OfHSequenceOfCurveElementPurposeMember::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepElement_Array1OfHSequenceOfCurveElementPurposeMember.hxx